const system=require("../../system");
const Dao=require("../dao.base");
class CcashUserDao extends Dao{
  constructor(){
    super(Dao.getModelName(CcashUserDao));
  }

  async findByOpenId(openId) {
    if (!openId) {
      return [];
    }
    let sql = `SELECT * FROM ${this.model.tableName} WHERE openId = :openId`;
    return await this.customQuery(sql, {openId: openId});
  }
}
module.exports=CcashUserDao;
